> For the complete documentation index, see [llms.txt](https://docs.vomevolunteer.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.vomevolunteer.com/resources/editor-7/list-all-sites.md).

# List all sites

## List all sites

This endpoint is used to retrieve a list of all sites in your organization.

**Endpoint Description:**

* **Endpoint**: `GET /api/sites/`
* **Base URL**: `https://api.vomevolunteer.com`

**Query Parameters:**

* **name** (`string`): Case-insensitive "contains" filter on the site name.
* **page** (`integer`): Page number (default 1).
* **page\_size** (`integer`): Items per page (default 25, max 200).
* **limit** (`integer`): Alias for `page_size`.

**Example Request:**

```http
GET https://api.vomevolunteer.com/api/sites/
```

**Authorization:**

Requests to this endpoint must include an `API-KEY` in the header for authentication.

```python
headers = {
    "API-KEY": "your_unique_api_key_here"
}
response = requests.get("https://api.vomevolunteer.com/api/sites/", headers=headers)
```

**Response Structure:**

```json
{
    "count": 2,
    "next": null,
    "previous": null,
    "results": [
        {
            "id": "8f2c1e5a-....",
            "name": "Downtown Clinic",
            "description": "",
            "address": "12 King St",
            "general_email": "downtown@example.org",
            "general_phone": "+15551234567",
            "website": "https://downtown.example.org"
        }
    ]
}
```
